Bug 563124 - qt applications dont receive keyboard events when swallowed by mozplugger
qt applications dont receive keyboard events when swallowed by mozplugger
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mozplugger (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-09 04:59 EST by Roderick Johnstone
Modified: 2012-08-16 17:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:04:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 560501 None None None Never

  None (edit)
Description Roderick Johnstone 2010-02-09 04:59:26 EST
Description of problem:
qt applications, eg okular dont receive keyboard events when swallowed by mozplugger.

I'll exemplify this with okular.

Version-Release number of selected component (if applicable):
firefox-3.5.6-1.fc12.x86_64
mozplugger-1.12.1-7.fc12.x86_64
and
linux> okular --version
Qt: 4.5.3
KDE: 4.3.5 (KDE 4.3.5)
Okular: 0.9.5 

How reproducible:
Every time

Steps to Reproduce:
1. Configure firefox to swallow okular using mozplugger
2. Browse toa pdf file
3. Try to do a string search in the pdf document
  
Actual results:
Can't type in search term box

Expected results:
Ability to type in search term box

Additional info:
I see this in okular but it seems to affect qt4 apps in general.

Keyboard events got passed though fine in kde3/qt3.

Other relevant upstream bug reports:
https://www.mozdev.org/bugs/show_bug.cgi?id=19196
https://www.mozdev.org/bugs/show_bug.cgi?id=22359

https://bugs.kde.org/show_bug.cgi?id=172858 (comments 14, 15)

http://qt.nokia.com/developer/task-tracker/index_html?method=entry&id=249189
http://bugreports.qt.nokia.com/browse/QTBUG-3814

Comments in these reports suggest variously that its not an okular,  mozplugger or window manager problem but may be a qt problem, so I'm logging this against the qt component for now.
Comment 1 Kevin Kofler 2010-02-09 08:40:31 EST
Ouch, this is going to be fun to debug, mozplugger is an awful hack. :-( (FYI, the OkularPart embeds just fine in Konqueror without that hack. :-) )
Comment 2 Felix Möller 2010-04-23 05:19:19 EDT
I think this might be solved by a more recent mozplugger version.

The have added needs_xembed as a flag in 0.13.3. I need the newer version to view PDFs in chrome.

See http://www.mozdev.org/source/browse/mozplugger/src/ChangeLog?rev=1.135;content-type=text/plain
Comment 3 Roderick Johnstone 2010-04-23 05:33:31 EDT
Thanks for the idea, but unfortunately its not solved by this. I tried it. See: https://www.mozdev.org/bugs/show_bug.cgi?id=22359 and https://www.mozdev.org/bugs/show_bug.cgi?id=22723
Comment 4 Roderick Johnstone 2010-04-23 05:53:02 EDT
Also opened a bug at mozilla since the keyboard input seems to work fine when embedding okular etc in opera: https://bugzilla.mozilla.org/show_bug.cgi?id=560501
Comment 5 Felix Möller 2010-04-23 06:08:09 EDT
Just to document it and make sure you did not miss it, the needs_xembed has to be added explicitly.

I.e. in /etc/mozpluggerrc
define(ACROREAD, [repeat swallow(acroread) fill needs_xembed : acroread -openInNewWindow /a "$fragment" "$file"])
Comment 6 Felix Möller 2010-04-23 06:21:40 EDT
ok, i just tried to embed okular, evince and acroread into chrome and in fact none of the applications accepts any keyboard input for me. It is even a focus problem i cannot get the focus in any input. Buttons are working...

I think I cannot help anymore. :-(
Comment 7 Ngo Than 2010-09-29 08:30:14 EDT
reassign to firefox. https://bugzilla.mozilla.org/show_bug.cgi?id=560501
Comment 8 Bug Zapper 2010-11-03 18:37:08 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Matěj Cepl 2011-06-09 12:29:01 EDT
reassigning with the utmost prejudice to mozplugger component.
Comment 10 Fedora End Of Life 2012-08-16 17:04:18 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.